org.apache.poi.hslf.dev

## Class SlideShowDumper

- java.lang.Object
- - org.apache.poi.hslf.dev.SlideShowDumper

-     public final class SlideShowDumper
      extends java.lang.Object

  This class provides a way to "peek" inside a powerpoint file. It will print out all the types it find, and for those it know aren't atoms, what they contain To figure out what things are, and if they are atoms or not, used the list in hslf.record.RecordTypes To peek inside PPDrawings, which hold Escher drawings, we use the DDF package from POI (but we can fake it by using the Escher listings from hslf.record.RecordTypes also)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlideShowDumper(POIFSFileSystem filesystem, java.io.PrintStream out)` Constructs a Powerpoint dump from a POIFS Filesystem.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` right now this function takes one parameter: a ppt file, and outputs a dump of what it contains
    `void` | `printDump()`
    `void` | `setBasicEscher(boolean grok)` Control dumping of any Escher records found - should our built in basic groker be used?
    `void` | `setDDFEscher(boolean grok)` Control dumping of any Escher records found - should DDF be used?
    `void` | `walkEscherBasic(int indent, int pos, int len)` Use the basic record format groking code to walk the Escher records
    `void` | `walkEscherDDF(int indent, int pos, int len)` Use the DDF code to walk the Escher records
    `void` | `walkTree(int depth, int startPos, int maxLen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlideShowDumper

          public SlideShowDumper(POIFSFileSystem filesystem,
                                 java.io.PrintStream out)
                          throws java.io.IOException

      Constructs a Powerpoint dump from a POIFS Filesystem. Parses the document and dumps out the contents
      Parameters:
        `filesystem` - the POIFS FileSystem to read from
      Throws:
        `java.io.IOException` - if there is a problem while parsing the document.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      right now this function takes one parameter: a ppt file, and outputs a dump of what it contains
      Throws:
        `java.io.IOException`

    - #### setDDFEscher

          public void setDDFEscher(boolean grok)

      Control dumping of any Escher records found - should DDF be used?

    - #### setBasicEscher

          public void setBasicEscher(boolean grok)

      Control dumping of any Escher records found - should our built in basic groker be used?

    - #### printDump

          public void printDump()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### walkTree

          public void walkTree(int depth,
                               int startPos,
                               int maxLen)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### walkEscherDDF

          public void walkEscherDDF(int indent,
                                    int pos,
                                    int len)

      Use the DDF code to walk the Escher records

    - #### walkEscherBasic

          public void walkEscherBasic(int indent,
                                      int pos,
                                      int len)
                               throws java.io.IOException

      Use the basic record format groking code to walk the Escher records
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.